Bug 887382 - Dragging window to new desktop does not work
Summary: Dragging window to new desktop does not work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-14 20:57 UTC by Eric Paris
Modified: 2015-11-12 03:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-12 03:23:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Eric Paris 2012-12-14 20:57:35 UTC
I have a dual head setup.  As is default, the primary monitor has multiple desktops and the secondary monitor does not.  I have switched the primary to my external monitor and the secondary is the laptop screen.  I have the secondary to the left of the primary.

I open a program on the secondary monitor.

I enter the overview

click and hold on the new program running on the secondary display.

drag it between workplaces on the right.

I expect this will create a new workspace between the two existing workspaces.  It does not.  It leaves the program on the secondary monitor and no new workspace is created.

If the application is moved to the primary display and then drug between two existing workspaces it creates a new workspace and is moved to that workspace as expected.

Comment 1 Fedora End Of Life 2013-12-21 09:54:57 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Eric Paris 2013-12-21 19:58:51 UTC
This bug still exists in F20.  In the overlay view one cannot drag a window from the secondary display to a place between two workspaces (on the right side of the primary display).  The window will be returned to the secondary display and no new workspace will be created.  (The visual looks like the new workspace is created, but is then destroyed because it is empty...)

I can still drag from seconday to primary and then from primary to the spot between 2 workspaces and a new workspace will be created with the window.

It is possible to drag a window directly from the secondary monitor to any existing workspace and it is possible to drag it to the last workspace (the blank workspace) and a new blank workspace is created below.

Comment 3 Jan Kurik 2015-07-15 14:55:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Ryan Lerch 2015-11-12 03:10:36 UTC
HI eric,

I just tried to re-create this on Fedora 23, and it seems to be working fine now. Are you able to check on Fedora 23 to see if this is fixed now for you?

Comment 5 Eric Paris 2015-11-12 03:23:43 UTC
Yes, works for me now!


Note You need to log in before you can comment on or make changes to this bug.